ru.yandex.clickhouse.settings

## Enum ClickHouseQueryParam

- java.lang.Object
- - java.lang.Enum<ClickHouseQueryParam>
  - - ru.yandex.clickhouse.settings.ClickHouseQueryParam

All Implemented Interfaces:
  Serializable, Comparable<ClickHouseQueryParam>, DriverPropertyCreator

    public enum ClickHouseQueryParam
    extends Enum<ClickHouseQueryParam>
    implements DriverPropertyCreator

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD_HTTP_CORS_HEADER`
`AGGREGATION_MEMORY_EFFICIENT_MERGE_THREADS`
`BACKGROUND_POOL_SIZE`
`COMPILE`
`COMPRESS`
`CONNECT_TIMEOUT`
`CONNECT_TIMEOUT_WITH_FAILOVER_MS`
`CONNECTIONS_WITH_FAILOVER_MAX_TRIES`
`COUNT_DISTINCT_IMPLEMENTATION`
`DATABASE`
`DECOMPRESS`
`DISTRIBUTED_AGGREGATION_MEMORY_EFFICIENT`
`DISTRIBUTED_CONNECTIONS_POOL_SIZE`
`DISTRIBUTED_DIRECTORY_MONITOR_SLEEP_TIME_MS`
`DISTRIBUTED_GROUP_BY_NO_MERGE`
`DISTRIBUTED_PRODUCT_MODE`
`ENABLE_HTTP_COMPRESSION`
`EXTREMES` https://clickhouse.yandex/reference_en.html#Extreme values
`FORCE_INDEX_BY_DATE`
`FORCE_PRIMARY_KEY`
`GLOBAL_SUBQUERIES_METHOD`
`GROUP_BY_TWO_LEVEL_THRESHOLD`
`GROUP_BY_TWO_LEVEL_THRESHOLD_BYTES`
`HTTP_NATIVE_COMPRESSION_DISABLE_CHECKSUMMING_ON_DECOMPRESS`
`HTTP_ZLIB_COMPRESSION_LEVEL`
`INPUT_FORMAT_SKIP_UNKNOWN_FIELDS`
`INPUT_FORMAT_VALUES_INTERPRET_EXPRESSIONS`
`INSERT_QUORUM`
`INSERT_QUORUM_TIMEOUT`
`INTERACTIVE_DELAY`
`LOAD_BALANCING`
`LOG_QUERIES`
`LOG_QUERIES_CUT_TO_LENGTH`
`MARK_CACHE_MIN_LIFETIME`
`MAX_BLOCK_SIZE` https://clickhouse.yandex/reference_en.html#max_block_size
`MAX_BYTES_BEFORE_EXTERNAL_GROUP_BY`
`MAX_BYTES_BEFORE_EXTERNAL_SORT`
`MAX_COMPRESS_BLOCK_SIZE`
`MAX_CONCURRENT_QUERIES_FOR_USER`
`MAX_DISTRIBUTED_CONNECTIONS`
`MAX_DISTRIBUTED_PROCESSING_THREADS`
`MAX_EXECUTION_TIME` https://clickhouse.yandex/reference_en.html#max_execution_time
`MAX_INSERT_BLOCK_SIZE`
`MAX_MEMORY_USAGE`
`MAX_PARALLEL_REPLICAS`
`MAX_QUERY_SIZE`
`MAX_READ_BUFFER_SIZE`
`MAX_RESULT_ROWS`
`MAX_ROWS_TO_GROUP_BY` https://clickhouse.yandex/reference_en.html#max_rows_to_group_by
`MAX_STREAMS_TO_MAX_THREADS_RATIO`
`MAX_THREADS` https://clickhouse.yandex/reference_en.html#max_threads
`MEMORY_TRACKER_FAULT_PROBABILITY`
`MERGE_TREE_COARSE_INDEX_GRANULARITY`
`MERGE_TREE_MAX_ROWS_TO_USE_CACHE`
`MERGE_TREE_MIN_ROWS_FOR_CONCURRENT_READ`
`MERGE_TREE_MIN_ROWS_FOR_SEEK`
`MERGE_TREE_UNIFORM_READ_DISTRIBUTION`
`MIN_BYTES_TO_USE_DIRECT_IO`
`MIN_COMPRESS_BLOCK_SIZE`
`MIN_COUNT_TO_COMPILE`
`MIN_INSERT_BLOCK_SIZE_BYTES`
`MIN_INSERT_BLOCK_SIZE_ROWS`
`NETWORK_COMPRESSION_METHOD`
`OPTIMIZE_MIN_EQUALITY_DISJUNCTION_CHAIN_LENGTH`
`OPTIMIZE_MOVE_TO_PREWHERE`
`OUTPUT_FORMAT_JSON_QUOTE_64BIT_INTEGERS`
`OUTPUT_FORMAT_PRETTY_MAX_ROWS`
`OUTPUT_FORMAT_WRITE_STATISTICS`
`PARALLEL_REPLICA_OFFSET`
`PARALLEL_REPLICAS_COUNT`
`PASSWORD`
`POLL_INTERVAL`
`PRIORITY`
`PROFILE` https://clickhouse.yandex/reference_en.html#Settings profiles
`QUERY_ID`
`QUEUE_MAX_WAIT_MS`
`QUOTA_KEY`
`READ_BACKOFF_MAX_THROUGHPUT`
`READ_BACKOFF_MIN_EVENTS`
`READ_BACKOFF_MIN_INTERVAL_BETWEEN_EVENTS_MS`
`READ_BACKOFF_MIN_LATENCY_MS`
`RECEIVE_TIMEOUT`
`REPLACE_RUNNING_QUERY`
`REPLICATION_ALTER_COLUMNS_TIMEOUT`
`REPLICATION_ALTER_PARTITIONS_SYNC`
`RESHARDING_BARRIER_TIMEOUT`
`RESULT_OVERFLOW_MODE`
`SELECT_SEQUENTIAL_CONSISTENCY`
`SEND_TIMEOUT`
`SKIP_UNAVAILABLE_SHARDS`
`STRICT_INSERT_DEFAULTS`
`TABLE_FUNCTION_REMOTE_MAX_ADDRESSES`
`TOTALS_AUTO_THRESHOLD`
`TOTALS_MODE` https://clickhouse.yandex/reference_en.html#WITH TOTALS modifier
`use_client_time_zone`
`USE_UNCOMPRESSED_CACHE`
`USER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DriverPropertyInfo` `createDriverPropertyInfo(Properties properties)`
`Class` `getClazz()`
`Object` `getDefaultValue()`
`String` `getDescription()`
`String` `getKey()`
`String` `toString()`
`static ClickHouseQueryParam` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClickHouseQueryParam[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADD_HTTP_CORS_HEADER

    public static final ClickHouseQueryParam ADD_HTTP_CORS_HEADER

#### AGGREGATION_MEMORY_EFFICIENT_MERGE_THREADS

    public static final ClickHouseQueryParam AGGREGATION_MEMORY_EFFICIENT_MERGE_THREADS

#### BACKGROUND_POOL_SIZE

    public static final ClickHouseQueryParam BACKGROUND_POOL_SIZE

#### COMPILE

    public static final ClickHouseQueryParam COMPILE

#### COMPRESS

    public static final ClickHouseQueryParam COMPRESS

#### CONNECT_TIMEOUT

    public static final ClickHouseQueryParam CONNECT_TIMEOUT

#### CONNECT_TIMEOUT_WITH_FAILOVER_MS

    public static final ClickHouseQueryParam CONNECT_TIMEOUT_WITH_FAILOVER_MS

#### CONNECTIONS_WITH_FAILOVER_MAX_TRIES

    public static final ClickHouseQueryParam CONNECTIONS_WITH_FAILOVER_MAX_TRIES

#### COUNT_DISTINCT_IMPLEMENTATION

    public static final ClickHouseQueryParam COUNT_DISTINCT_IMPLEMENTATION

#### DATABASE

    public static final ClickHouseQueryParam DATABASE

#### DECOMPRESS

    public static final ClickHouseQueryParam DECOMPRESS

#### DISTRIBUTED_AGGREGATION_MEMORY_EFFICIENT

    public static final ClickHouseQueryParam DISTRIBUTED_AGGREGATION_MEMORY_EFFICIENT

#### DISTRIBUTED_CONNECTIONS_POOL_SIZE

    public static final ClickHouseQueryParam DISTRIBUTED_CONNECTIONS_POOL_SIZE

#### DISTRIBUTED_DIRECTORY_MONITOR_SLEEP_TIME_MS

    public static final ClickHouseQueryParam DISTRIBUTED_DIRECTORY_MONITOR_SLEEP_TIME_MS

#### DISTRIBUTED_GROUP_BY_NO_MERGE

    public static final ClickHouseQueryParam DISTRIBUTED_GROUP_BY_NO_MERGE

#### DISTRIBUTED_PRODUCT_MODE

    public static final ClickHouseQueryParam DISTRIBUTED_PRODUCT_MODE

#### ENABLE_HTTP_COMPRESSION

    public static final ClickHouseQueryParam ENABLE_HTTP_COMPRESSION

#### EXTREMES

    public static final ClickHouseQueryParam EXTREMES

https://clickhouse.yandex/reference_en.html#Extreme values

#### FORCE_INDEX_BY_DATE

    public static final ClickHouseQueryParam FORCE_INDEX_BY_DATE

#### FORCE_PRIMARY_KEY

    public static final ClickHouseQueryParam FORCE_PRIMARY_KEY

#### GLOBAL_SUBQUERIES_METHOD

    public static final ClickHouseQueryParam GLOBAL_SUBQUERIES_METHOD

#### GROUP_BY_TWO_LEVEL_THRESHOLD

    public static final ClickHouseQueryParam GROUP_BY_TWO_LEVEL_THRESHOLD

#### GROUP_BY_TWO_LEVEL_THRESHOLD_BYTES

    public static final ClickHouseQueryParam GROUP_BY_TWO_LEVEL_THRESHOLD_BYTES

#### HTTP_NATIVE_COMPRESSION_DISABLE_CHECKSUMMING_ON_DECOMPRESS

    public static final ClickHouseQueryParam HTTP_NATIVE_COMPRESSION_DISABLE_CHECKSUMMING_ON_DECOMPRESS

#### HTTP_ZLIB_COMPRESSION_LEVEL

    public static final ClickHouseQueryParam HTTP_ZLIB_COMPRESSION_LEVEL

#### INPUT_FORMAT_SKIP_UNKNOWN_FIELDS

    public static final ClickHouseQueryParam INPUT_FORMAT_SKIP_UNKNOWN_FIELDS

#### INPUT_FORMAT_VALUES_INTERPRET_EXPRESSIONS

    public static final ClickHouseQueryParam INPUT_FORMAT_VALUES_INTERPRET_EXPRESSIONS

#### INSERT_QUORUM

    public static final ClickHouseQueryParam INSERT_QUORUM

#### INSERT_QUORUM_TIMEOUT

    public static final ClickHouseQueryParam INSERT_QUORUM_TIMEOUT

#### INTERACTIVE_DELAY

    public static final ClickHouseQueryParam INTERACTIVE_DELAY

#### LOAD_BALANCING

    public static final ClickHouseQueryParam LOAD_BALANCING

#### LOG_QUERIES

    public static final ClickHouseQueryParam LOG_QUERIES

#### LOG_QUERIES_CUT_TO_LENGTH

    public static final ClickHouseQueryParam LOG_QUERIES_CUT_TO_LENGTH

#### MARK_CACHE_MIN_LIFETIME

    public static final ClickHouseQueryParam MARK_CACHE_MIN_LIFETIME

#### MAX_BLOCK_SIZE

    public static final ClickHouseQueryParam MAX_BLOCK_SIZE

https://clickhouse.yandex/reference_en.html#max_block_size

#### MAX_BYTES_BEFORE_EXTERNAL_GROUP_BY

    public static final ClickHouseQueryParam MAX_BYTES_BEFORE_EXTERNAL_GROUP_BY

#### MAX_BYTES_BEFORE_EXTERNAL_SORT

    public static final ClickHouseQueryParam MAX_BYTES_BEFORE_EXTERNAL_SORT

#### MAX_COMPRESS_BLOCK_SIZE

    public static final ClickHouseQueryParam MAX_COMPRESS_BLOCK_SIZE

#### MAX_CONCURRENT_QUERIES_FOR_USER

    public static final ClickHouseQueryParam MAX_CONCURRENT_QUERIES_FOR_USER

#### MAX_DISTRIBUTED_CONNECTIONS

    public static final ClickHouseQueryParam MAX_DISTRIBUTED_CONNECTIONS

#### MAX_DISTRIBUTED_PROCESSING_THREADS

    public static final ClickHouseQueryParam MAX_DISTRIBUTED_PROCESSING_THREADS

#### MAX_EXECUTION_TIME

    public static final ClickHouseQueryParam MAX_EXECUTION_TIME

https://clickhouse.yandex/reference_en.html#max_execution_time

#### MAX_INSERT_BLOCK_SIZE

    public static final ClickHouseQueryParam MAX_INSERT_BLOCK_SIZE

#### MAX_MEMORY_USAGE

    public static final ClickHouseQueryParam MAX_MEMORY_USAGE

See Also:
  max_memory_usage

#### MAX_PARALLEL_REPLICAS

    public static final ClickHouseQueryParam MAX_PARALLEL_REPLICAS

#### MAX_READ_BUFFER_SIZE

    public static final ClickHouseQueryParam MAX_READ_BUFFER_SIZE

#### MAX_RESULT_ROWS

    public static final ClickHouseQueryParam MAX_RESULT_ROWS

#### MAX_ROWS_TO_GROUP_BY

    public static final ClickHouseQueryParam MAX_ROWS_TO_GROUP_BY

https://clickhouse.yandex/reference_en.html#max_rows_to_group_by

#### MAX_STREAMS_TO_MAX_THREADS_RATIO

    public static final ClickHouseQueryParam MAX_STREAMS_TO_MAX_THREADS_RATIO

#### MAX_THREADS

    public static final ClickHouseQueryParam MAX_THREADS

https://clickhouse.yandex/reference_en.html#max_threads

#### MAX_QUERY_SIZE

    public static final ClickHouseQueryParam MAX_QUERY_SIZE

#### MEMORY_TRACKER_FAULT_PROBABILITY

    public static final ClickHouseQueryParam MEMORY_TRACKER_FAULT_PROBABILITY

#### MERGE_TREE_COARSE_INDEX_GRANULARITY

    public static final ClickHouseQueryParam MERGE_TREE_COARSE_INDEX_GRANULARITY

#### MERGE_TREE_MAX_ROWS_TO_USE_CACHE

    public static final ClickHouseQueryParam MERGE_TREE_MAX_ROWS_TO_USE_CACHE

#### MERGE_TREE_MIN_ROWS_FOR_CONCURRENT_READ

    public static final ClickHouseQueryParam MERGE_TREE_MIN_ROWS_FOR_CONCURRENT_READ

#### MERGE_TREE_MIN_ROWS_FOR_SEEK

    public static final ClickHouseQueryParam MERGE_TREE_MIN_ROWS_FOR_SEEK

#### MERGE_TREE_UNIFORM_READ_DISTRIBUTION

    public static final ClickHouseQueryParam MERGE_TREE_UNIFORM_READ_DISTRIBUTION

#### MIN_BYTES_TO_USE_DIRECT_IO

    public static final ClickHouseQueryParam MIN_BYTES_TO_USE_DIRECT_IO

#### MIN_COMPRESS_BLOCK_SIZE

    public static final ClickHouseQueryParam MIN_COMPRESS_BLOCK_SIZE

#### MIN_COUNT_TO_COMPILE

    public static final ClickHouseQueryParam MIN_COUNT_TO_COMPILE

#### MIN_INSERT_BLOCK_SIZE_BYTES

    public static final ClickHouseQueryParam MIN_INSERT_BLOCK_SIZE_BYTES

#### MIN_INSERT_BLOCK_SIZE_ROWS

    public static final ClickHouseQueryParam MIN_INSERT_BLOCK_SIZE_ROWS

#### NETWORK_COMPRESSION_METHOD

    public static final ClickHouseQueryParam NETWORK_COMPRESSION_METHOD

#### OPTIMIZE_MIN_EQUALITY_DISJUNCTION_CHAIN_LENGTH

    public static final ClickHouseQueryParam OPTIMIZE_MIN_EQUALITY_DISJUNCTION_CHAIN_LENGTH

#### OPTIMIZE_MOVE_TO_PREWHERE

    public static final ClickHouseQueryParam OPTIMIZE_MOVE_TO_PREWHERE

#### OUTPUT_FORMAT_JSON_QUOTE_64BIT_INTEGERS

    public static final ClickHouseQueryParam OUTPUT_FORMAT_JSON_QUOTE_64BIT_INTEGERS

#### OUTPUT_FORMAT_PRETTY_MAX_ROWS

    public static final ClickHouseQueryParam OUTPUT_FORMAT_PRETTY_MAX_ROWS

#### OUTPUT_FORMAT_WRITE_STATISTICS

    public static final ClickHouseQueryParam OUTPUT_FORMAT_WRITE_STATISTICS

#### PARALLEL_REPLICAS_COUNT

    public static final ClickHouseQueryParam PARALLEL_REPLICAS_COUNT

#### PARALLEL_REPLICA_OFFSET

    public static final ClickHouseQueryParam PARALLEL_REPLICA_OFFSET

#### PASSWORD

    public static final ClickHouseQueryParam PASSWORD

#### POLL_INTERVAL

    public static final ClickHouseQueryParam POLL_INTERVAL

#### PRIORITY

    public static final ClickHouseQueryParam PRIORITY

#### PROFILE

    public static final ClickHouseQueryParam PROFILE

https://clickhouse.yandex/reference_en.html#Settings profiles

#### RECEIVE_TIMEOUT

    public static final ClickHouseQueryParam RECEIVE_TIMEOUT

#### READ_BACKOFF_MAX_THROUGHPUT

    public static final ClickHouseQueryParam READ_BACKOFF_MAX_THROUGHPUT

#### READ_BACKOFF_MIN_EVENTS

    public static final ClickHouseQueryParam READ_BACKOFF_MIN_EVENTS

#### READ_BACKOFF_MIN_INTERVAL_BETWEEN_EVENTS_MS

    public static final ClickHouseQueryParam READ_BACKOFF_MIN_INTERVAL_BETWEEN_EVENTS_MS

#### READ_BACKOFF_MIN_LATENCY_MS

    public static final ClickHouseQueryParam READ_BACKOFF_MIN_LATENCY_MS

#### REPLACE_RUNNING_QUERY

    public static final ClickHouseQueryParam REPLACE_RUNNING_QUERY

#### REPLICATION_ALTER_COLUMNS_TIMEOUT

    public static final ClickHouseQueryParam REPLICATION_ALTER_COLUMNS_TIMEOUT

#### REPLICATION_ALTER_PARTITIONS_SYNC

    public static final ClickHouseQueryParam REPLICATION_ALTER_PARTITIONS_SYNC

#### RESHARDING_BARRIER_TIMEOUT

    public static final ClickHouseQueryParam RESHARDING_BARRIER_TIMEOUT

#### RESULT_OVERFLOW_MODE

    public static final ClickHouseQueryParam RESULT_OVERFLOW_MODE

#### SELECT_SEQUENTIAL_CONSISTENCY

    public static final ClickHouseQueryParam SELECT_SEQUENTIAL_CONSISTENCY

#### SEND_TIMEOUT

    public static final ClickHouseQueryParam SEND_TIMEOUT

#### SKIP_UNAVAILABLE_SHARDS

    public static final ClickHouseQueryParam SKIP_UNAVAILABLE_SHARDS

#### STRICT_INSERT_DEFAULTS

    public static final ClickHouseQueryParam STRICT_INSERT_DEFAULTS

#### TABLE_FUNCTION_REMOTE_MAX_ADDRESSES

    public static final ClickHouseQueryParam TABLE_FUNCTION_REMOTE_MAX_ADDRESSES

#### TOTALS_AUTO_THRESHOLD

    public static final ClickHouseQueryParam TOTALS_AUTO_THRESHOLD

#### TOTALS_MODE

    public static final ClickHouseQueryParam TOTALS_MODE

https://clickhouse.yandex/reference_en.html#WITH TOTALS modifier

#### QUERY_ID

    public static final ClickHouseQueryParam QUERY_ID

#### QUEUE_MAX_WAIT_MS

    public static final ClickHouseQueryParam QUEUE_MAX_WAIT_MS

#### QUOTA_KEY

    public static final ClickHouseQueryParam QUOTA_KEY

#### use_client_time_zone

    public static final ClickHouseQueryParam use_client_time_zone

#### USE_UNCOMPRESSED_CACHE

    public static final ClickHouseQueryParam USE_UNCOMPRESSED_CACHE

#### USER

    public static final ClickHouseQueryParam USER

### Method Detail

#### values

    public static ClickHouseQueryParam[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClickHouseQueryParam c : ClickHouseQueryParam.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClickHouseQueryParam valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getKey

    public String getKey()

#### getDefaultValue

    public Object getDefaultValue()

#### getClazz

    public Class getClazz()

#### getDescription

    public String getDescription()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ClickHouseQueryParam>`

#### createDriverPropertyInfo

    public DriverPropertyInfo createDriverPropertyInfo(Properties properties)

Specified by:
  `createDriverPropertyInfo` in interface `DriverPropertyCreator`